changeset 1874:2355c0160b25

<Jafet> sed -ie \'s,cat /dev/urandom,tr -d "[:print:]" </dev/urandom,\' bin/\\?
author HackBot
date Sun, 27 Jan 2013 09:11:46 +0000
parents 2fec55699b70
children d22f389fa57b
files bin/? bin/?e
diffstat 2 files changed, 14 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/?	Sun Jan 27 04:45:15 2013 +0000
+++ b/bin/?	Sun Jan 27 09:11:46 2013 +0000
@@ -3,7 +3,7 @@
 topic1=$(echo "$topic" | sed "s/s$//")
 cd wisdom
 if [ \( "$topic" = "ngevd" \) -a \( -e ngevd \) ];
-    then cat /dev/urandom;
+    then tr -d "[:print:]" </dev/urandom;
     elif [ -e "$topic" ];
     then cat "$topic";
     elif [ -e "$topic1" ];
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/?e	Sun Jan 27 09:11:46 2013 +0000
@@ -0,0 +1,13 @@
+#!/bin/sh
+topic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")
+topic1=$(echo "$topic" | sed "s/s$//")
+cd wisdom
+if [ \( "$topic" = "ngevd" \) -a \( -e ngevd \) ];
+    then cat /dev/urandom;
+    elif [ -e "$topic" ];
+    then cat "$topic";
+    elif [ -e "$topic1" ];
+    then cat "$topic1";
+    else echo "$1? ¯\(°_o)/¯"; exit 1;
+fi
+